// DCC Decoder for DS-DCC decoder
// By yaasan
//

#include <Arduino.h>
#include <string.h>
#include "motor_func.h"


int MOTOR_PI(int inValue, int inKp, int inKi, long *iopBuf_PI)
{
	long aSignal;
	
	aSignal = ((inValue * inKp) >> 4) + ((inKi * (*iopBuf_PI)) >> 16);
	(*iopBuf_PI) = (inValue << 4) + (*iopBuf_PI);
	
	return (int)aSignal;
}


word MOTOR_StrToWord(String s)
{
	word result = 0;

	for (int i = 0; i < s.length(); i++)
	{
		result = 10 * result + (s.charAt(i) - '0');
	}

	return result;
}

